%define version 4.3.10
%define rversion 0.1.00

%define realname Imlib2
%define modname imlib2
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A37_%{modname}.ini

Summary:	Provides an image manipulation interface using libimlib2 for PHP
Name:		php-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 4
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/imlib2
Source0:	imlib2-%{rversion}.tar.bz2
Source1:	%{inifile}.bz2
Patch0:		imlib2-0.1.00-lib64.diff.bz2
Requires:	php432
BuildRequires:	php432-devel
BuildRequires:	imlib2-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
imlib2 is a very fast image manipulation library, but without the
support for as many image formats as other libraries such as
imagemagick.

%prep

%setup -q -n imlib2-%{rversion}
%patch0 -p0

bzcat %{SOURCE1} > %{inifile}
%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

# nuke rpath
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc docs CREDITS imlib2.php readme.txt
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.00-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.00-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.00-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.00-1mdk
- initial mandrake package
- added P0
